Main Page Class List Class Members

# VHACD::CircularList< T > Class Template Reference

CircularList class. More...

`#include <vhacdCircularList.h>`

List of all members.

## Public Member Functions
CircularListElement< T > * | Add (const T &data)
CircularListElement< T > * | Add (const T *data=0)
| CircularList (const CircularList &rhs)
| CircularList ()
| Constructor.
void | Clear ()
bool | Delete (CircularListElement< T > *element)
bool | Delete ()
T & | GetData ()
const T & | GetData () const
const CircularListElement< T > * | GetHead () const
CircularListElement< T > *& | GetHead ()
size_t | GetSize () const
bool | IsEmpty () const
bool | Next ()
const CircularList & | operator= (const CircularList &rhs)
bool | Prev ()
| ~CircularList (void)
| Destructor.

## Detailed Description

### template<typename T>
class VHACD::CircularList< T >

CircularList class.

## Constructor & Destructor Documentation

template<typename T>

VHACD::CircularList< T >::CircularList | ( |  | ) | `[inline]`

Constructor.

template<typename T>

VHACD::CircularList< T >::CircularList | ( | const CircularList< T > & | rhs | ) |

template<typename T>

VHACD::CircularList< T >::~CircularList | ( | void |  | ) | `[inline]`

Destructor.

## Member Function Documentation

template<typename T>

CircularListElement<T>* VHACD::CircularList< T >::Add | ( | const T & | data | ) |

template<typename T>

CircularListElement<T>* VHACD::CircularList< T >::Add | ( | const T * | data = `0` | ) |

template<typename T>

void VHACD::CircularList< T >::Clear | ( |  | ) | `[inline]`

template<typename T>

bool VHACD::CircularList< T >::Delete | ( | CircularListElement< T > * | element | ) |

template<typename T>

bool VHACD::CircularList< T >::Delete | ( |  | ) |

template<typename T>

T& VHACD::CircularList< T >::GetData | ( |  | ) | `[inline]`

template<typename T>

const T& VHACD::CircularList< T >::GetData | ( |  | ) | const`[inline]`

template<typename T>

const CircularListElement<T>* VHACD::CircularList< T >::GetHead | ( |  | ) | const`[inline]`

template<typename T>

CircularListElement<T>*& VHACD::CircularList< T >::GetHead | ( |  | ) | `[inline]`

template<typename T>

size_t VHACD::CircularList< T >::GetSize | ( |  | ) | const`[inline]`

template<typename T>

bool VHACD::CircularList< T >::IsEmpty | ( |  | ) | const`[inline]`

template<typename T>

bool VHACD::CircularList< T >::Next | ( |  | ) |

template<typename T>

const CircularList& VHACD::CircularList< T >::operator= | ( | const CircularList< T > & | rhs | ) |

template<typename T>

bool VHACD::CircularList< T >::Prev | ( |  | ) |

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdCircularList.h